apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  annotations:
    chains.tekton.dev/signed: "true"
    results.tekton.dev/record: prod-east/results/9e3bc31f-b25d-48b0-9e91-ddff851d4211/records/9e3bc31f-b25d-48b0-9e91-ddff851d4211
    results.tekton.dev/result: prod-east/results/9e3bc31f-b25d-48b0-9e91-ddff851d4211
    results.tekton.dev/stored: "true"
  creationTimestamp: "2025-11-11T07:18:42Z"
  finalizers:
  - chains.tekton.dev/pipelinerun
  - results.tekton.dev/pipelinerun
  generation: 1
  labels:
    env: prod
    tekton.dev/pipeline: buildah-pipeline
  name: prod-buildah-run
  namespace: prod-east
  resourceVersion: "6621767"
  uid: 9e3bc31f-b25d-48b0-9e91-ddff851d4211
spec:
  pipelineRef:
    name: buildah-pipeline
  taskRunTemplate:
    serviceAccountName: pipeline
  timeouts:
    pipeline: 10m0s
  workspaces:
  - name: source
    persistentVolumeClaim:
      claimName: shared-pvc
status:
  childReferences:
  - apiVersion: tekton.dev/v1
    kind: TaskRun
    name: prod-buildah-run-clone-git-repo
    pipelineTaskName: clone-git-repo
  - apiVersion: tekton.dev/v1
    kind: TaskRun
    name: prod-buildah-run-run-buildah
    pipelineTaskName: run-buildah
  completionTime: "2025-11-11T07:19:17Z"
  conditions:
  - lastTransitionTime: "2025-11-11T07:19:17Z"
    message: 'Tasks Completed: 2 (Failed: 0, Cancelled 0), Skipped: 0'
    reason: Succeeded
    status: "True"
    type: Succeeded
  pipelineSpec:
    params:
    - default: fedora-38
      name: REVISION
      type: string
    - default: buildah
      description: where to clone the git repo
      name: SUBDIR
      type: string
    tasks:
    - name: clone-git-repo
      params:
      - name: URL
        value: https://github.com/ppitonak/nocode
      - name: SUBDIRECTORY
        value: buildah
      - name: DELETE_EXISTING
        value: "true"
      - name: REVISION
        value: fedora-38
      taskRef:
        params:
        - name: kind
          value: task
        - name: name
          value: git-clone
        - name: namespace
          value: openshift-pipelines
        resolver: cluster
      workspaces:
      - name: output
        workspace: source
    - name: run-buildah
      params:
      - name: IMAGE
        value: image-registry.openshift-image-registry.svc:5000/prod-east/buildah
      - name: CONTEXT
        value: buildah
      - name: DOCKERFILE
        value: buildah/Dockerfile
      - name: TLSVERIFY
        value: "true"
      runAfter:
      - clone-git-repo
      taskRef:
        params:
        - name: kind
          value: task
        - name: name
          value: buildah
        - name: namespace
          value: openshift-pipelines
        resolver: cluster
      workspaces:
      - name: source
        workspace: source
    workspaces:
    - name: source
  provenance:
    featureFlags:
      awaitSidecarReadiness: true
      coschedule: workspaces
      enableAPIFields: beta
      enableProvenanceInStatus: true
      enforceNonfalsifiability: none
      maxResultSize: 4096
      resultExtractionMethod: termination-message
      runningInEnvWithInjectedSidecars: true
      verificationNoMatchPolicy: ignore
  startTime: "2025-11-11T07:18:42Z"
